#ifndef __medium1d_h_
#define __medium1d_h_
#include <cmath>

static const double PI = 3.14;
static const double WIDTH =100.0*PI;
static const double dx = WIDTH/50000.0;
static const double tend = WIDTH/2.0;
static const double vmax = 1.0;
static double L(double x)
{
	double region = WIDTH/5.0;
	if (x > WIDTH-region)
	{
		return 1.0;
	}
	else if (x > WIDTH-region*2.0)
	{
		return 10.0;
	}
	else if (x > WIDTH-region*3.0)
	{
		return 100.0;
	}
	else if (x > WIDTH-region*4.0)
	{
		return 10.0;
	}
	else if (x > WIDTH-region*5.0)
	{
		return 1.0;
	}
	return 1.0;
}
static double V(double x)
{
	return 1.0;
}
static double Uinit(double x)
{
	if (x >= (WIDTH-PI)/2.0 && x <= (WIDTH+PI)/2.0)
	{
		return sin(x-(WIDTH-PI)/2.0);
	}
	else
	{
		return 0.0;
	}
}
static double C(double x)
{
	return 1.0/(V(x)*V(x)*L(x));
}

#endif
